Ubuntu 6283 Published by

A HTML::StripScripts security update has been released for Ubuntu Linux 14.04 LTS, 16.04 LTS, 18.04 LTS, 20.04 LTS, 22.04 LTS, and 22.10.



USN-6100-1: HTML::StripScripts vulnerability


=========================================================================
Ubuntu Security Notice USN-6100-1
May 23, 2023

libhtml-stripscripts-perl vulnerability
=========================================================================
A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 22.10
- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS (Available with Ubuntu Pro)
- Ubuntu 14.04 LTS (Available with Ubuntu Pro)

Summary:

HTML::StripScripts could be made to crash if it received specially crafted
input.

Software Description:
- libhtml-stripscripts-perl: module for removing scripts from HTML

Details:

It was discovered that HTML::StripScripts does not properly parse HTML
content with certain style attributes. A remote attacker could use this issue
to cause a regular expression denial of service (ReDoS).

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 22.10:
libhtml-stripscripts-perl 1.06-2ubuntu0.1

Ubuntu 22.04 LTS:
libhtml-stripscripts-perl 1.06-1ubuntu0.22.04.1

Ubuntu 20.04 LTS:
libhtml-stripscripts-perl 1.06-1ubuntu0.20.04.1

Ubuntu 18.04 LTS:
libhtml-stripscripts-perl 1.06-1ubuntu0.18.04.1

Ubuntu 16.04 LTS (Available with Ubuntu Pro):
libhtml-stripscripts-perl 1.05-2ubuntu0.1~esm1

Ubuntu 14.04 LTS (Available with Ubuntu Pro):
libhtml-stripscripts-perl 1.05-1ubuntu0.1~esm1

In general, a standard system update will make all the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-6100-1
CVE-2023-24038

Package Information:
  https://launchpad.net/ubuntu/+source/libhtml-stripscripts-perl/1.06-2ubuntu0.1
  https://launchpad.net/ubuntu/+source/libhtml-stripscripts-perl/1.06-1ubuntu0.22.04.1
  https://launchpad.net/ubuntu/+source/libhtml-stripscripts-perl/1.06-1ubuntu0.20.04.1
  https://launchpad.net/ubuntu/+source/libhtml-stripscripts-perl/1.06-1ubuntu0.18.04.1